View Issue Details

IDProjectCategoryView StatusLast Update
0014352LazarusIDEpublic2011-12-01 11:22
ReporterBenito van der Zander Assigned ToMattias Gaertner  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN) 
Target Version1.0.0Fixed in Version0.9.27 (SVN) 
Summary0014352: code tools don't understand generic without ancestor
DescriptionThe code tools always show the "error: class without name" in the class below when pressing ctrl+space after the classname or after a variable of the (specialized) class.

A workaround seems to be to add an ancestor with class(TObject)
Steps To Reproducegeneric TSet<T_Value> = class
protected
  reallength: longint;
  data: array of T_Value;
public
  procedure clear();
  procedure insert(v: T_Value);
  procedure remove(v: T_Value);
  function contains(v: T_Value):boolean;
  function count:longint;
end;
Tagscodetools
Fixed in Revision21273
LazTarget0.9.28
Widgetset
Attached Files

Activities

alexP

2009-08-15 19:05

reporter   ~0029870

this has happened to me when I forgot to declare some uses clause, I do not know if this is your case

Issue History

Date Modified Username Field Change
2009-08-14 23:45 Benito van der Zander New Issue
2009-08-15 19:05 alexP Note Added: 0029870
2009-08-17 16:23 Vincent Snijders LazTarget => 1.0
2009-08-17 16:23 Vincent Snijders Assigned To => Mattias Gaertner
2009-08-17 16:23 Vincent Snijders Status new => assigned
2009-08-17 16:23 Vincent Snijders Target Version => 1.0.0
2009-08-17 16:24 Vincent Snijders Tag Attached: codetools
2009-08-17 22:59 Mattias Gaertner Fixed in Revision => 21273
2009-08-17 22:59 Mattias Gaertner LazTarget 1.0 => 0.9.28
2009-08-17 22:59 Mattias Gaertner Status assigned => resolved
2009-08-17 22:59 Mattias Gaertner Resolution open => fixed
2009-08-17 23:12 Vincent Snijders Fixed in Version => 0.9.27 (SVN)
2011-12-01 11:22 Marc Weustink Status resolved => closed